aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGlenn Morris <[email protected]>2014-05-07 12:56:34 -0400
committerGlenn Morris <[email protected]>2014-05-07 12:56:34 -0400
commit98e12950aee65b44beb43e9dcaa77bd2b5e2d308 (patch)
treedfee63399f182c21789f876999dddfd10975a47f
parentf62bc934f022be3c4af03ec9877f4ba32628822e (diff)
* autogen.sh: Check for failing aclocal.
-rw-r--r--ChangeLog4
-rwxr-xr-xautogen.sh12
2 files changed, 15 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index a58fbc9ae3..7a3de25e25 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2014-05-07 Glenn Morris <[email protected]>
+
+ * autogen.sh: Check for failing aclocal.
+
2014-05-05 Glenn Morris <[email protected]>
* autogen.sh: Check any pre-existing ACLOCAL_PATH.
diff --git a/autogen.sh b/autogen.sh
index 35175e70b1..32f86ab820 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -211,7 +211,17 @@ fi
echo "Checking for pkg.m4..."
AUTORECONF_ENV=
env_space=
-ac_dir=`aclocal --print-ac-dir` && test -r "$ac_dir/pkg.m4" || {
+ac_dir=`aclocal --print-ac-dir` || {
+ cat <<EOF
+There was a problem running 'aclocal --print-ac-dir'.
+The aclocal program is part of automake.
+Please check your automake installation.
+EOF
+
+ exit 1
+}
+
+test -n "$ac_dir" && test -r "$ac_dir/pkg.m4" || {
# Maybe ACLOCAL_PATH is already set-up.
if test -n "$ACLOCAL_PATH"; then